commit: 50e1c6a693e1d3a3cd1b41f81d942587becff244
Author: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 18 23:31:09 2024 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Dec 18 23:31:09 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50e1c6a6
app-misc/tmuxp: add 1.49.0
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
app-misc/tmuxp/Manifest | 1 +
app-misc/tmuxp/tmuxp-1.49.0.ebuild | 54 ++++++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/app-misc/tmuxp/Manifest b/app-misc/tmuxp/Manifest
index 301f19e29082..eda17f564458 100644
--- a/app-misc/tmuxp/Manifest
+++ b/app-misc/tmuxp/Manifest
@@ -1 +1,2 @@
DIST tmuxp-1.46.0.tar.gz 870062 BLAKE2B
b8c450e186097584e4f67de6375acd898b02826ad2a7c758cf0a502c7b60c5dad7ae537df8bcc18310ec6c20cd52700d5d87d336e23de4a786c607eb57ffe5f3
SHA512
1e2fa9b20ade766c7bcbec5b3b430c118cfa27b00e808241d0daf6720351d35863000f22ff052bf0f9f38a63e21813814591312ab0c5af14488a6546af5440ed
+DIST tmuxp-1.49.0.tar.gz 903826 BLAKE2B
d756a7b67ac5c55ef178eea0ff7bf7f2ebe760022eb50d8877971d058d803762fb105389b757d2f4c26b2c5cb87b48ab3641253bf110bd5cb33a0993f7b5fa5f
SHA512
76f7bbe908fc513214f4f5b528be3a14f55e10b48399886213db18e48da02fcca9f65893a61f1a7dd153d7eb6ad85d133e82a881916b0388a01b768867477d10
diff --git a/app-misc/tmuxp/tmuxp-1.49.0.ebuild
b/app-misc/tmuxp/tmuxp-1.49.0.ebuild
new file mode 100644
index 000000000000..505ed1c51fbd
--- /dev/null
+++ b/app-misc/tmuxp/tmuxp-1.49.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+DISTUTILS_USE_PEP517=hatchling
+inherit distutils-r1
+
+DESCRIPTION="tmux session manager. built on libtmux"
+HOMEPAGE="https://tmuxp.git-pull.com"
+SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+ =dev-python/libtmux-0.39*[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.3.9[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/pytest-6.2.5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-rerunfailures-4.2[${PYTHON_USEDEP}]
+ !dev-python/flaky
+ )
+"
+
+EPYTEST_DESELECT=(
+ # test doesn't get along with sandbox
+ "tests/cli/test_load.py::test_load_zsh_autotitle_warning"
+)
+
+EPYTEST_IGNORE=(
+ # not actually tests, but throws off test collection
+ "tests/fixtures/"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -r -e 's:libtmux = "~[0-9.]+":libtmux = "~0.30":' \
+ -i pyproject.toml || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ SHELL="/bin/bash" epytest tests
+}